
sub return_rescored_sentence {
    my($nbest_sent,$individual_costs,$feature_order)=@_;

    my $sent;

    ($sent)=$$nbest_sent=~/^rank=[^ ]+ cost=[^ ]+ trans=(.*) coversets=[0-9]+:/o;
    $sent.=' |||';

    foreach my $feature (keys %$feature_order) {
	$$individual_costs{$feature}=0 if(!defined($$individual_costs{$feature}));
    }

    foreach my $feature (sort { $$feature_order{$a}<=>$$feature_order{$b} } (keys %$individual_costs)) {
	$sent.=" $$individual_costs{$feature}";
    }

    return $sent;
}

sub print_rescored_sentences {
    my($sent_id,$rescored_sents,$rescored_dir)=@_;

    open(F,">$rescored_dir/$sent_id.rescored");
    for(my $i=0; $i<@$rescored_sents; $i++) {
	print F "$sent_id ||| $rescored_sents->[$i]\n";
    }
    close(F);
}

return 1;
