
sub split_lattice_file {

    my($rescore_lattice_file_all,$rescore_lattice_dir)=@_;

    print STDERR "Splitting lattice file $rescore_lattice_file_all ... ";
    open(L,"<$rescore_lattice_file_all")||die("can't open file $rescore_lattice_file_all: $!\n");
    while(defined(my $line=<L>)) {
        if($line=~/^<SENT ID=([0-9]+)>/o) {
            $sent_id=$1;
	    open(O,">$rescore_lattice_dir/$sent_id.lattice")||die("can't open file $rescore_lattice_dir/$sent_id.lattice: $!\n");
	    print O $line;	    
	    while(defined($line=<L>) && $line!~/^<\/SENT>\n/o) {
		print O $line;
	    }
	    print O $line if(defined($line) && $line=~/^<\/SENT>\n/o);
	    close(O);
	}
    }
    close(L);
    system("touch $rescore_lattice_dir/split_done");
    print STDERR "done.\n";
}

return 1;
