
sub find_matching_translations {

    my($f_tokens,$parameters,$match_trans,$rescore_mode,$nbest_sent,$nbest_trans_map,$translation_order,$e_phrase_prefixes)=@_;

    my $unknown_word_trans_prob=$$parameters{'unknown_word_trans_prob'};
    my $max_phrase_length=$$parameters{'max_phrase_length'};
    my $lm_order=$$parameters{'lm_order'};
    
    if($rescore_mode) {
	my $coverset_string;
	($coverset_string)=$$nbest_sent=~/ coversets=([0-9].*)$/;
	my @covers=split(/\|\|\|/,$coverset_string);
	for(my $i=0; $i<@covers; $i++) {
	    my($l,$r,$e_phrase)=$covers[$i]=~/^([0-9]+):([0-9]+) (.*)$/;
#	    $nbest_trans_map->[$l][$r]=$e_phrase;
	    push(@$translation_order,"$l $r");
	    push(@{ $match_trans->[$l][$r] },$e_phrase);
	}
    } else {
	for(my $i=0; $i<@$f_tokens; $i++) {
	    for(my $j=$i; $j<@$f_tokens && $j<$i+$max_phrase_length; $j++) {
		my $f_phrase=join(" ",@$f_tokens[$i..$j]);
		if(exists($f2e_lex{$f_phrase})) {
#		$match_trans->[$i][$j]=$f_phrase;
		    foreach my $e_phrase (sort {-1*($f2e_lex{$f_phrase}{$a}<=>$f2e_lex{$f_phrase}{$b})} (keys %{ $f2e_lex{$f_phrase} })) {		
			push(@{ $match_trans->[$i][$j] },$e_phrase);
			next if(defined($$e_phrase_prefixes{$e_phrase}));
			my @e_phrase_words=split(/ /,$e_phrase);
			my $e_phrase_prefix=$e_phrase_words[0];
			for(my $k=1; $k<@e_phrase_words && $k<$lm_order-1; $k++) {
			    $e_phrase_prefix.=' ' . $e_phrase_words[$k];
			}
			$$e_phrase_prefixes{$e_phrase}=$e_phrase_prefix;
		    }
		}
	    }
	}
    }
}

return 1;
