
sub generate_constraints {
    my(@f_constraints,@e_parts,$i,$e_phrase,@e_phrase_words,@e_phrase_words_lm,$e_phrase_length,$c,$e_phrase_lm_prob,$lm_id,$e_parts_total_lm_prob,$e_pos_lm_prob,@e_pos_tags,$e_parts_total_pos_lm_prob,$lm_prob_part,$constraint,@constraints);
    my($last_pos_right,$last_pos_left,@f_words,$no_f_words);

    my($f_constraints_string,$f_pattern,$e_pattern,$l,$r)=@_;

#    print STDERR "  generate_constraints($f_constraints_string,$e_pattern)\n";

    my @f_constraints=split(/ /,$f_constraints_string);

    $e_pattern=~s/^X/NIL X/o;
    $e_pattern=~s/ X([0-9])$/ X$1 NIL/o;
    $e_pattern=~s/X1 X2/X1 NIL X2/o;

    my @f_words=split(/ /,$f_pattern);
    $no_f_words=0;
    for($i=0; $i<@f_words; $i++) {
	if($f_words[$i]!~/^X/o) {
	    $no_f_words++;
	}
    }

#    print STDERR "generate: e_pattern=$e_pattern\n";

    my @e_parts=split(/ X[0-9] /o,$e_pattern);

    my $e_phrase_length=0;
    my $e_parts_total_lm_prob=0;
    my $e_parts_total_pos_lm_prob=0;

    if($e_parts[0] ne 'NIL') {
	undef @e_phrase_words;
	@e_phrase_words=split(/ /,$e_parts[0]);
	$e_phrase_length+=@e_phrase_words;
    }

    my @constraints;
#    push(@constraints,);

    #Si=1 as we ignore the initial e_part
    for(my $i=1; $i<@e_parts; $i++) {
	if($e_parts[$i] eq 'NIL') {
	    $lm_prob_part=0;
	    $constraint=$f_constraints[$i-1] . "\tNIL\t0";
	    push(@constraints,$constraint);
	} else {
	    $e_phrase=$e_parts[$i];
	    undef @e_phrase_words;
	    @e_phrase_words=split(/ /,$e_phrase);
	    $e_phrase_length+=@e_phrase_words;
	        
	        #substitute numbers:
	    undef @e_phrase_words_lm;
	    @e_phrase_words_lm=@e_phrase_words;
	    for($c=0; $c<@e_phrase_words_lm; $c++) {
#$e_phrase_words_lm[$c]=~s/[0-9]/6/g;
		$english_vocab{$e_phrase_words_lm[$c]}=1;
	    };
	        
	    $e_phrase_lm_prob=0;
	    for(my $lm_id=0; $lm_id<@lm_srilm_ids; $lm_id++) {
		$e_phrase_lm_prob+=lm_ngram_prob($lm_srilm_ids[$lm_id],\@e_phrase_words_lm,$cap)
		    *$lm_weights[$lm_id];
	    };
	        
	    $e_parts_total_lm_prob+=$e_phrase_lm_prob;
	        
	    $e_pos_lm_prob=0;
	    if($poslm_order>0) {
		$e_pos_lm_prob=lm_5gram_prob($poslm_id,\@e_pos_tags,$cap)*$poslm_weight;
	    };
	        
	    $e_parts_total_pos_lm_prob+=$e_pos_lm_prob;
	    $lm_prob_part=$e_phrase_lm_prob+$e_pos_lm_prob;
	    
#    print STDERR "f_constraints[" . ($i-1) . "]=" . $f_constraints[$i-1] . "\n";
	    $constraint=$f_constraints[$i-1] . "\t$e_parts[$i]\t$lm_prob_part"; 
	    push(@constraints,$constraint);
	}
    }

    for(my $i=0; $i<@constraints-1; $i++) {
	$constraints[$i].="\t-2:-2";
    }
    if($f_pattern!~/ X[0-9]$/o) {
	$last_pos_right=$r;
    } else {
	$last_pos_right=-2;
    }
    if($f_pattern!~/^X[0-9] /o) {
	$last_pos_left=$l;
    } else {
	$last_pos_left=-2;
    }
    $constraints[-1].="\t$last_pos_left:$last_pos_right";

    $constraint=join("\n",@constraints);
#    $constraint.=":$e_phrase_length";
    $constraint.=":$no_f_words";
    return $constraint;
}

return 1;
