
sub load_lm_file {
    my($lm_file,$lm_srilm_id);
    
    ($lm_file,$parameters)=@_;

    my $lm_order=$$parameters{'lm_order'};
    print STDERR "Reading in LM file \'$lm_file\' (order=$lm_order) ... ";
    my $time_begin=time;
    $lm_srilm_id=srilm::init_LM($lm_order);
    srilm::readFile_LM($lm_srilm_id,$lm_file);
    my $time_end=time;
    printf STDERR "done. (%.2f sec)\n", $time_end-$time_begin;

    return $lm_srilm_id;
}


sub add_lm_file {    
    my($lm_file,$lm_order)=@_;

    print STDERR "Reading in LM file \'$lm_file\' (order=$lm_order) ... ";
    my $time_begin=time;
    my $lm_srilm_id=srilm::add_LM($lm_order);
    srilm::readFile_LM($lm_srilm_id,$lm_file);
    my $time_end=time;
    printf STDERR "done. (%.2f sec)\n", $time_end-$time_begin;

    return $lm_srilm_id;
}

return 1;


